### Enumeration

# Gio TlsInteractionResult

since: 2.30

#### Declaration

    enum Gio.TlsInteractionResult

#### Description [src]

`GTlsInteractionResult` is returned by various functions in `GTlsInteraction` when finishing an interaction request.

Available since: 2.30

#### Members

Name | Description
--- | ---
`G_TLS_INTERACTION_UNHANDLED` | The interaction was unhandled (i.e. not implemented).
`G_TLS_INTERACTION_HANDLED` | The interaction completed, and resulting data is available.
`G_TLS_INTERACTION_FAILED` | The interaction has failed, or was cancelled. and the operation should be aborted.